Subject: categories: Linear--structure or property?

From: Michael Barr <[email-masked]>
Date: Thu, 10 Aug 2006 16:14:46 -0400 (EDT)

Bill Lawvere uses "linear" for a category enriched over commutative
semigroups.  Obviously, if the category has finite products, this is a
property.  What about in the absence of finite products (or sums)?  Could
you have two (semi)ring structures on the same set with the same
associative multiplication?

Robin Houston's startling (to me, anyway) proof that a compact
*-autonomous category with finite products is linear starts by proving
that 0 = 1.  Suppose the category has only binary products?  Well, I have
an example of one that is not linear:  Lawvere's category that is the
ordered set of real numbers has a compact *-autonomous structure.
Tensor is + and internal hom is -.  Product is inf and sum is sup, but
there are no initial or terminal objects and the category is not linear.